gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object A tag table defines a set of tags A tag table defines a set of tags that can be used together. Each buffer has one tag table associated with it; only tags from that tag table can be used with the buffer. A single tag table can be shared between multiple buffers, however.
- Constructor
  2.12.0.0
  Default constructor
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  2.12.0.0
  System.Void `` the tag to be added Add a tag to the table. The tag is assigned the highest priority in the table.

  Add a tag to the table. The tag is assigned the highest priority in the table.

  must not be in a tag table already, and may not have the same name as an already-added tag.

- Method
  2.12.0.0
  System.Void `` a Calls func on each tag in table
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.12.0.0
  Gtk.TextTag `` the name of a tag Finds a by its name The tag, or if none by that name is in the table.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideTagAdded", Type=typeof(Gtk.TextTagTable))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideTagChanged", Type=typeof(Gtk.TextTagTable))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideTagRemoved", Type=typeof(Gtk.TextTagTable))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  System.Void `` the tag to be removed Remove a tag from the table.
- Property
  2.12.0.0
  System.Int32 The size of the table The number of the tags in this table
- Event
  2.12.0.0
  GLib.Signal("tag_added")
  Gtk.TagAddedHandler Emitted when a tag is added to the table
- Event
  2.12.0.0
  GLib.Signal("tag_changed")
  Gtk.TagChangedHandler Emitted when a tag in the table is changed
- Event
  2.12.0.0
  GLib.Signal("tag_removed")
  Gtk.TagRemovedHandler Emitted when a tag is removed from the table